Class | ActionView::TestCase
In: | lib/action_view/test_case.rb
Parent: | ActiveSupport::TestCase

### Methods

determine_default_helper_class helper_class helper_method protect_against_forgery? render setup_with_controller tests

### Included Modules

ActionController::TestCase::Assertions ActionController::TestProcess ActionController::PolymorphicRoutes ActionController::RecordIdentifier ActionView::Helpers ActionController::Helpers

### Classes and Modules

Class ActionView::TestCase::TestController

### Constants

EXCLUDE_IVARS | = | %w{ @output_buffer @fixture_cache @method_name @_result @loaded_fixtures @test_passed @view }

### Attributes

controller | [RW] |
output_buffer | [RW] |
rendered | [RW] |

### Public Class methods

determine_default_helper_class(name)
helper_class()
helper_method(*methods)
tests(helper_class)

### Public Instance methods

protect_against_forgery?()
render(options = {}, local_assigns = {}, &block)
setup_with_controller()

[Validate]